API reference
Register a verified agent wallet
Register a verified agent wallet. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules, response fields.
POST
/v1/agent-payments/walletsAuthorization
bearerAuth AuthorizationBearer <token>
Paste your API key from the dashboard.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/agent-payments/wallets" \ -H "Content-Type: application/json" \ -d '{ "challenge_id": "string", "signature": "stringstringstringstringstringstringstringstringstringstringstri", "signer_type": "LOCAL_TEST", "signer_key_id": "string" }'{
"id": "string",
"network": "eip155:1",
"address": "string",
"signer_type": "LOCAL_TEST",
"signer_key_id": "string",
"status": "active",
"verified_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}Empty
How is this guide?
Last updated
Create an agent wallet pairing challenge POST
Create an agent wallet pairing challenge. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules.
List agent wallets GET
List agent wallets. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules, response fields.